Subject: Re: bug#63469: 29.0.90; project.el doesn't add menu-bar entries

From: Juri Linkov <[email-masked]>
Date: Thu, 25 May 2023 21:41:32 +0300

>>> -(cl-defmethod project-name ((_project (head vc)))
>>> -  (or project-vc-name
>>> +(cl-defmethod project-name ((project (head vc)))
>>> +  (or (project--value-in-dir 'project-vc-name (project-root project))
>>>         (cl-call-next-method)))
>> Thanks, I confirm this uses project-vc-name from dir-locals in non-file
>> buffers.
>
> If you had a chance to verify that the performance is good enough (for
> using the result in the mode-line), that would be great.
>
> Either way...
>
>>>> ;;;###autoload(put 'compilation-directory 'safe-local-variable 'stringp)
>>>
>>> Huh, so the attribute :safe only makes proper sense for preloaded packages
>>> and autoloaded defcustom forms (which are discouraged anyway).
>>>
>>> Do you want to write a patch for all those vars in project.el? It will
>>> probably make sense to push it to emacs-29.
>> With this patch the problem is solved.  I can push it to emacs-29.
>
> ...this patch LGTM too. Please go ahead and install it, or even both
> patches.

I pushed ###autoload to emacs-29.  But not sure about your patch
since currently I have no idea how to verify its performance.
Maybe it should be pushed to master so that everyone can test it?